package com.zh.project0512.controller.wxApp;

import com.zh.project0512.model.Video;
import com.zh.project0512.service.IVideoService;
import com.zh.project0512.utils.result.Result;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "抖音")
@RestController
@RequestMapping("/wxApp/douyin")
public class DouyinUController {

    private String rootUrl = "https://open.douyin.com";

    @Autowired
    private IVideoService videoService;

    @PostMapping("/code")
    public Result getCode(){
        String url = rootUrl + "/platform/oauth/connect/";
//        String content = HttpClientDownPage.sendGet(url);
        return Result.success("content");
    }
    @Operation(summary = "模拟用户上传")
    @PostMapping("/videoTest")
    public Result videoTest(@RequestBody Video video){
        videoService.save(video);
        return Result.success("content");
    }
}
