package com.zh.project0512.mapper;

import com.zh.project0512.model.RewardRule;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-23
 */
public interface RewardRuleMapper extends BaseMapper<RewardRule> {
    @Insert("<script> " +
        "insert into rewardRule (templateId,reward,max,min) values\n"+
        "  <foreach collection= 'arr' item= 'item'  separator=','>\n" +
        "(#{id},#{item.reward},#{item.max},#{item.min})\n"+
        "</foreach> \n"+
        "</script>")
    void addGroup(int id,RewardRule[] arr);
    @Select("select t.max,t.min,t.reward from rewardRule as t where templateId = #{id}")
    List<Map> listByTemplateId(int id);
}
