package com.zh.project0512.annotation;

import java.lang.annotation.*;

/**
 * @author hxy
 * @Target 该注解声明可以使用的范围
 *  ElementType.METHOD 即为可在方法上使用
 * @Retention 用于描述注解的声明周期
 *  RetentionPolicy.RUNTIME 运行时
 *  RetentionPolicy.CLASS   编译时
 *  RetentionPolicy.RUNTIME 源码时
 *  注意 需用 @interface修饰。
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface tokenValid {
    /**
     * 默认参数，也可置空
     * 或像以下方式添加默认值
     * String value() default "xxx";
     */


}

