package com.zh.project0512.mapper;

import com.alibaba.fastjson.JSONObject;
import com.zh.project0512.model.QywxDepartment;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Update;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-06-07
 */
public interface QywxDepartmentMapper extends BaseMapper<QywxDepartment> {
    @Insert("<script> " +
        "insert into qywxDepartment (departmentId,name,parentid) values\n"+
        "  <foreach collection= 'list' item= 'item'  separator=','>\n" +
        "(#{item.id},#{item.name},#{item.parentid})\n"+
        "</foreach> \n"+
        "</script>")
    void updateAll(List<Map> list);
}
