package com.zh.project0512.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.UserAccount;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-06-08
 */
public interface UserAccountMapper extends BaseMapper<UserAccount> {
    @Select("<script>" +
        "select t1.*,t2.name as userName from userAccount as t1,user as t2 where t1.userId = t2.id " +
        "<if test='ew != null'>" +
        "<if test='ew.nonEmptyOfWhere'>" +
        "AND" +
        "</if>" +
        "${ew.sqlSegment}" +
        "</if>" +
        "</script>")
    IPage<Map> listAll(IPage<Map> page, @Param("ew") Wrapper<UserAccount> queryWrapper);
}
