package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 企业微信部门用户关联表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class QywxDepartmentUserLink implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 用户小程序唯一标识
     */
    private String openid;
    /**
     * 部门主键id
     */
    @TableField("departmentId")
    private Integer departmentId;
}
