package com.zh.project0512.model.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 排行列表 Vo
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RankListVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 关联主键id（用户主键id,经销商主键id）
     */
    private String linkId;
    /**
     * 标题
     */
    private String title;
    /**
     * 副标题
     */
    private String subtitle;
    /**
     * 传播值
     */
    private int value;
}
