package com.zh.project0512.serviceImpl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.mapper.BrandMapper;
import com.zh.project0512.model.Brand;
import com.zh.project0512.model.ReferenceGroup;
import com.zh.project0512.mapper.ReferenceGroupMapper;
import com.zh.project0512.model.Task;
import com.zh.project0512.service.IReferenceGroupService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-24
 */
@Service
public class ReferenceGroupServiceImpl extends ServiceImpl<ReferenceGroupMapper, ReferenceGroup> implements IReferenceGroupService {
    @Autowired
    private ReferenceGroupMapper referenceGroupMapper;
//    public IPage<ReferenceGroup> selectPage(IPage<ReferenceGroup> page, @Param("ew") Wrapper<ReferenceGroup> queryWrapper){
//        return referenceGroupMapper.selectPage(page,queryWrapper);
//    }
    public void addReferenceGroup(ReferenceGroup referenceGroup){
        referenceGroupMapper.addReferenceGroup(referenceGroup);
    }
    public void updSort(int origin, int current, boolean originHigherCurrent) {
        referenceGroupMapper.updSort(origin, current, originHigherCurrent);
    }
}
