package com.zh.project0512.serviceImpl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.mapper.ReferenceGroupMapper;
import com.zh.project0512.model.Reference;
import com.zh.project0512.mapper.ReferenceMapper;
import com.zh.project0512.model.ReferenceGroup;
import com.zh.project0512.service.IReferenceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-23
 */
@Service
public class ReferenceServiceImpl extends ServiceImpl<ReferenceMapper, Reference> implements IReferenceService {
    @Autowired
    private ReferenceMapper referenceMapper;

    public IPage<Integer> idList(IPage iPage, List<Integer> tagIdList, List<Integer> brandIdList, @Param("ew") Wrapper<Reference> queryWrapper){
        return referenceMapper.idList(iPage,tagIdList,brandIdList,queryWrapper);
    }
    public List<Map> list(String openid,List<String> list, List<Integer> tagIdList, List<Integer> brandIdList, @Param("ew") Wrapper<Reference> queryWrapper){
        return referenceMapper.list(openid,list,tagIdList,brandIdList,queryWrapper);
    }
    public IPage<String> dateList(IPage iPage, List<Integer> tagIdList, List<Integer> brandIdList, @Param("ew") Wrapper<Reference> queryWrapper){
        return referenceMapper.dateList(iPage,tagIdList,brandIdList,queryWrapper);
    }
    public List referenceDateList(String openid,List<String> list,List<Integer> tagIdList,List<Integer> brandIdList, @Param("ew") Wrapper<Reference> queryWrapper) {
        return referenceMapper.referenceDateList(openid,list,tagIdList,brandIdList,queryWrapper);
    }
}
