package com.zh.project0512.serviceImpl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.UserAccount;
import com.zh.project0512.mapper.UserAccountMapper;
import com.zh.project0512.service.IUserAccountService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-06-08
 */
@Service
public class UserAccountServiceImpl extends ServiceImpl<UserAccountMapper, UserAccount> implements IUserAccountService {
    @Autowired
    private UserAccountMapper userAccountMapper;
    public IPage<Map> listAll(IPage<Map> page, @Param("ew") Wrapper<UserAccount> queryWrapper){
        return userAccountMapper.listAll(page,queryWrapper);
    }
}
