package com.zh.project0512.utils.page;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 分页回显数据工具类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PageInfo<T> implements Serializable {
    /**
     * 总页数
     */
    private long pages;
    /**
     * 具体内容记录
     */
    private List<T> rows;
    /**
     * 总记录数
     */
    private long total;
}
